(function($){
	'use strict';	
	
	/**
	* get default ptoperty
	* @param {Object} self - 'this' object
	* @return {Object} 
	*/
	var get_default_prop = function(self){
		
		var properties = {		
			font_size: self.options.font_size			
			,text_align: self.options.text_align	
			,font_weight: self.options.font_weight	
			,font_family: self.options.font_family	
			,color: self.options.color	
		};
		
		//update line height
		properties.line_height = eval(properties.font_size) + self.options.line_height_step;	
		
		return properties;
	};
	
	/**
	* restore
	* @param {Object} self - 'this' object
	* @param {Object} cookies_properties
	*/
	var restore = function(self, cookies_properties){
		
		self.path.css('font-size', cookies_properties.font_size + 'px');
		self.path.css('line-height', cookies_properties.line_height + 'px');
		self.path.css('text-align', cookies_properties.text_align);
		self.path.css('font-weight', cookies_properties.font_weight);
		self.path.css('font-family', cookies_properties.font_family);
		self.path.css('color', cookies_properties.color);
		
	};
	
	/**
	* init
	* @constructor 
	* @param {Object} options
	* @param {jQueryObject} path
	* @param {jQueryObject} panel
	*/
	var init = function(options, path, panel){
	
		var self = {
	
			//properties
			options: options
			,path: $(document).find(options.path)
			,panel: panel
		};
		
		return jQuery.extend(this, self); 	
	};

	//api ---------------------------------	
	
	/**
	* get defaults
	* @return {Object} 
	*/
	init.prototype.get_default_prop = function(){
		return get_default_prop(this);
	};
	
	/**
	* restore
	* @param {Object} cookies_properties
	*/
	init.prototype.restore = function(cookies_properties){
		restore(this, cookies_properties);
	};
						
	/** 
	* content
	* @constructor
	*/
	$.fn.zoom.content = function(options, path, panel){
		
		var self;
		
		self = new init(options, path, panel);
		
		//return api object
		return self;
	};
	
})(jQuery);
