(function($){
	'use strict';
	
	/**
    * jQuery definition to anchor JsDoc comments.
    * @see <a href='http://jquery.com/' title='' target='_blank'>jquery.com</a>
    * @name jQuery
    * @class jQuery Library
    */
	 
	/**
    * jQuery 'fn' definition to anchor JsDoc comments.
    * @see <a href='http://jquery.com/' title='' target='_blank'>jquery.com</a>
    * @name fn
    * @class jQuery Library
    * @memberOf jQuery
    */	
	
	/** 
	* zoom
	* @param {Object} user_options - user options
	* @name zoom
    * @class zoom
    * @memberOf jQuery.fn	
	*/
	$.fn.zoom = function(user_options){
		
		return this.each(function(){
			
			var self = {}; //zoom api
			
			self.options = $.extend({
				
				//common
				path: 'p'
				,callback: ''
				,line_height_step: 3
				,cookies: true
				,expiration: -1 //cookies expiration in days (-1 = cookies expire when browser is closed)
				,fonts: ['Arial', 'Georgia', 'Serif', 'Tahoma', 'Verdana']
				,colors: ['#686868', '#000000', '#cccccc', '#774500', '#2918C9', '#4F2C7A', '#518E2D', '#96122C']
				
				//default properties
				,font_size: '12'
				,font_family: 'Arial'
				,font_weight: 'normal'
				,text_align: 'left'	
				,color: '#686868'				
				
				//show/hide				
				,show_zoom: true //font-size
				,show_alignment: true //text-align
				,show_font_family: true //font-family
				,show_bold: true //font-weight
				,show_colors: true //color
				,show_reset: true //reset
			},user_options);
			
			//instances
			self.index = new $.fn.zoom.index(self.options, $(this));
			
			return self;	
		});
	};
})(jQuery);